Jak naprawić błąd pobierania ModPack za pomocą FTB Launchera

Niektórzy użytkownicy napotykają komunikat „ Błąd pobierania modpacka ”, a następnie próbują użyć programu Feed the Beast Launcher, aby zainstalować paczkę modów w grze Minecraft. Ten problem nie jest specyficzny dla systemu operacyjnego, ponieważ zgłoszono, że występuje w systemach Windows 7, Windows 8.1 i Windows 10.

Po zbadaniu tego konkretnego problemu okazuje się, że istnieje kilka różnych przyczyn, które mogą spowodować ten konkretny błąd. Oto krótka lista potencjalnych winowajców:

  • Brak dostępu administratora - jednym z najczęstszych przypadków, które powodują ten problem, jest przypadek, w którym główny program uruchamiający FTB nie ma dostępu administratora do prawidłowego instalowania i zarządzania plikami gry. W takim przypadku możesz rozwiązać problem, zmuszając plik wykonywalny do uruchamiania z dostępem administratora (lub skonfiguruj go tak, aby działał domyślnie).
  • Uszkodzona instalacja FTB - Przyczyną tego błędu może być również uszkodzenie instalacji programu uruchamiającego Feed the Beast. Jeśli ten scenariusz ma zastosowanie, możesz rozwiązać problem, ponownie instalując program uruchamiający i usuwając wszystkie pozostałe pliki przed ponowną instalacją.
  • Brak zależności Java - jeśli używasz przestarzałej wersji Java, prawdopodobnie jest to powód, dla którego widzisz ten błąd za każdym razem, gdy próbujesz zainstalować pakiet modów za pomocą programu uruchamiającego FTB. W takim przypadku należy użyć narzędzia do odinstalowywania oprogramowania Java, aby usunąć wszelkie ślady bieżącej instalacji oprogramowania Java przed zainstalowaniem najnowszej wersji przy użyciu oficjalnych kanałów.

Teraz, gdy znasz potencjalnych winowajców, oto lista metod używanych przez niektórych użytkowników, których dotyczy problem, w celu rozwiązania problemu:

Metoda 1: Otwórz „Feed the Beast” z dostępem administratora

Według niektórych użytkowników, których dotyczy problem, ten problem może również wystąpić z powodu faktu, że program uruchamiający FTB nie ma niezbędnych uprawnień do zainstalowania paczek modów. W większości przypadków dzieje się tak, ponieważ ustawienia UAC (Kontrola konta użytkownika) są bardziej rygorystyczne niż zwykle, uniemożliwiając programowi uruchamiającemu FTB uzyskanie uprawnień administratora do zainstalowania paczek modyfikacji.

W takim przypadku możesz rozwiązać problem, zmuszając program uruchamiający Feed the Beast do uruchomienia z dostępem administratora. Aby to zrobić, kliknij prawym przyciskiem myszy plik wykonywalny FTB i kliknij Uruchom jako administrator z menu kontekstowego.

Po otwarciu programu uruchamiającego FTB z uprawnieniami administratora powtórz czynność, która wcześniej powodowała błąd podczas pobierania modpacka  i sprawdź, czy problem został już naprawiony.

Uwaga: jeśli często używasz tego programu uruchamiającego i nie chcesz za każdym razem powtarzać tych kroków, powinieneś rozważyć zmodyfikowanie programu uruchamiającego tak, aby był domyślnie uruchamiany z administratorem. Aby to zrobić, kliknij prawym przyciskiem myszy i wybierz Właściwości z menu kontekstowego.

Gdy znajdziesz się na ekranie Właściwości , przejdź do karty zgodności i zaznacz pole związane z  Uruchom ten program jako administrator  (w obszarze Ustawienia). Na koniec kliknij Zastosuj, aby zapisać zmiany.

Jeśli uruchomienie programu uruchamiającego z dostępem administratora nie rozwiązało problemu, przejdź do następnej potencjalnej poprawki poniżej.

Metoda 2: Ponowna instalacja programu uruchamiającego „Feed the Beast”

Jak się okazuje, przyczyną tego problemu może być jakiś rodzaj uszkodzenia pliku wpływającego na instalację programu uruchamiającego Feed the Beat. W takim przypadku powinieneś być w stanie rozwiązać problem, całkowicie ponownie instalując program uruchamiający i upewniając się, że nie pozostawiasz żadnych resztek plików między instalacjami.

Ta metoda została potwierdzona przez wielu użytkowników, których dotyczy problem, którzy wcześniej nie byli w stanie pobrać paczek modów za pomocą programu uruchamiającego FTB.

Oto krótki przewodnik krok po kroku dotyczący ponownej instalacji programu uruchamiającego FTB w celu naprawienia błędu pobierania modpacka:

  1. Naciśnij klawisz Windows + R, aby otworzyć okno dialogowe Uruchom . Następnie wpisz „appwiz.cpl” w polu tekstowym i naciśnij klawisz Enter, aby otworzyć menu Programy i funkcje .
  2. Po wejściu do menu Programy i funkcje przewiń listę zainstalowanych elementów i znajdź wpis związany z Feed the Beast . Kiedy go zobaczysz, kliknij go prawym przyciskiem myszy i wybierz Odinstaluj z menu kontekstowego.
  3. Gdy znajdziesz się na ekranie dezinstalacji, postępuj zgodnie z instrukcjami wyświetlanymi na ekranie, aby ukończyć proces, a następnie uruchom ponownie komputer.
  4. Po zakończeniu następnego uruchomienia odwiedź oficjalną stronę pobierania programu uruchamiającego FTB i kliknij przycisk Pobierz powiązany z Twoim systemem operacyjnym.
  5. Po zakończeniu pobierania kliknij prawym przyciskiem myszy instalator i wybierz Uruchom jako administrator z menu kontekstowego.
  6. Postępuj zgodnie z instrukcjami wyświetlanymi na ekranie, aby zakończyć instalację, uruchom program uruchamiający Feed the Beast i spróbuj ponownie zainstalować pakiet modów, aby sprawdzić, czy problem został już rozwiązany.

Jeśli ten sam problem nadal występuje, przejdź do następnej potencjalnej poprawki poniżej.

Metoda 3: Instalowanie najnowszej wersji Java

Według niektórych, których dotyczy problem, błąd `` Błąd pobierania modpacka '' może również wystąpić, jeśli używasz starszej wersji Java, która jest wymagana przez program Feed the Beast Launcher.

Na szczęście niektórzy użytkownicy, których dotyczy problem, i którzy wcześniej mieli ten sam problem, potwierdzili, że byli w stanie rozwiązać problem za pomocą narzędzia Verify Java i Find Out-of-Date w  celu zaktualizowania lub zainstalowania brakujących zależności Java.

Po zainstalowaniu lub zaktualizowaniu środowiska Java i ponownym uruchomieniu komputera zdecydowana większość użytkowników, których dotyczy problem, potwierdziła, że ​​„ Błąd pobierania modpacka ” całkowicie przestał się pojawiać .

Jeśli nie wiesz, jak zaktualizować wersję Java, postępuj zgodnie z poniższymi instrukcjami krok po kroku:

  1. Otworzyć domyślną przeglądarkę i odwiedź stronę pobierania najnowszej wersji w Javie Uninstall Tool i kliknij Zgadzam się Warunki i chcą kontynuować .
  2. Po zakończeniu pobierania kliknij dwukrotnie plik wykonywalny, który właśnie pobrałeś i postępuj zgodnie z instrukcjami wyświetlanymi na ekranie, aby całkowicie odinstalować aktualną wersję JAVA i usunąć wszelkie pozostałe pliki.
  3. Po zakończeniu operacji uruchom ponownie komputer i zaczekaj na zakończenie następnego uruchomienia.
  4. Następnie odwiedź stronę pobierania oprogramowania Java i pobierz najnowszą dostępną wersję, klikając opcję Zgadzam się i rozpocznij bezpłatne pobieranie .
  5. Po zakończeniu pobierania otwórz plik wykonywalny i postępuj zgodnie z instrukcjami wyświetlanymi na ekranie, aby ukończyć instalację najnowszej wersji Java, a po wyświetleniu monitu uruchom ponownie.
  6. Na koniec, po zakończeniu uruchamiania ext, otwórz program uruchamiający Feed the Beast i sprawdź, czy możesz pobrać i zainstalować pakiet modów bez wyświetlania tego samego kodu błędu.
Tagi minecraft